Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0005161 [JEDI VCL] 00 JVCL Components feature always 2010-02-09 10:38 2011-06-10 16:09
Reporter m_Th View Status public  
Assigned To obones
Priority normal Resolution fixed  
Status resolved   Product Version 3.38
Summary 0005161: TjvMemoryData - FilterOptions support
Description Please find the attached file which implements the full support for the TDataSet.FilterOptions property. The changed parts are marked by //mTh.
Additional Information
Tags No tags attached.
Attached Files ? file icon JvMemoryDataset.pas [^] (81,820 bytes) 2010-02-09 10:38
zip file icon FilterExample.zip [^] (27,766 bytes) 2010-02-13 10:13

- Relationships

-  Notes
(0017195)
m_Th (reporter)
2010-02-13 10:13

The 'FilterExample.zip' *SUPERSEDES* the previous attached file (how do I delete it?).

It contains:
- a newer JvExprParser.pas file (with more bugs fixed and enhancements - support for Case Insensitive parsing - see the new property of TjvExprParser - see Mantis#5162 also)
- a newer JvMemoryDataSet.pas file (with some bugs fixed)
- a sample demo for both the above files.
(0017278)
obones (administrator)
2010-03-09 11:39

Thanks, this is now in SVN

- Issue History
Date Modified Username Field Change
2010-02-09 10:38 m_Th New Issue
2010-02-09 10:38 m_Th File Added: JvMemoryDataset.pas
2010-02-13 10:13 m_Th File Added: FilterExample.zip
2010-02-13 10:13 m_Th Note Added: 0017195
2010-03-09 11:39 obones Note Added: 0017278
2010-03-09 11:39 obones Assigned To => obones
2010-03-09 11:39 obones Status new => resolved
2010-03-09 11:39 obones Resolution open => fixed
2010-03-09 11:39 obones Fixed in Version => Daily / SVN
2010-03-09 11:39 obones Target Version => 3.40 - not yet released
2011-06-10 16:09 obones Fixed in Version Daily / SVN => 3.40


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker